{#
/**
 * @file
 * Theme override to display the header block.
 *
 * Available variables:
 * - plugin_id: The ID of the block implementation.
 * - label: The configured label of the block if visible.
 * - configuration: A list of the block's configuration values.
 *   - label: The configured label for the block.
 *   - label_display: The display settings for the label.
 *   - provider: The module or other provider that provided this block plugin.
 *   - Block plugin specific settings will also be stored here.
 * - content: The content of this block.
 * - attributes: array of HTML attributes populated by modules, intended to
 *   be added to the main container tag of this template.
 *   - id: A valid HTML ID and guaranteed unique.
 * - title_attributes: Same as attributes, except applied to the main title
 *   tag that appears in the template.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 *
 * @see template_preprocess_block()
 */
#}
{% set menu_main = menu_main|default(NULL) %}
{% set menu_aside = menu_aside|default(NULL) %}

{#
/**
 * This file contains the implementation code for the header pattern in the drupal_component_library
 * 
 * It is configured for the WEBSITE as this is the default theme
 *
 * @TODO define default menu's accross gcd and website so we can overwrite effectively
 * @TODO Add target into menu items or update component to not require inline target value to work
*/
#}

{{ pattern('header', {  
  title: title,
  url: url,
  main_content: [pattern('menu_horizontal_header', {
    responsive: true,
    menu_name: menu_main['#menu_label'],
    items: menu_main['#items'],
  })], 
  aside_content: [pattern('menu_horizontal_header', {
    responsive: true,
    primary: true,
    menu_name: menu_aside['#menu_label'],
    items: menu_aside['#items'],
  })], 
  drawer_content: [ 
    pattern('header_drawer_item', {
      target: 'services', 
      items: [pattern_preview('list_two_column')] 
    }), 
    pattern('header_drawer_item', {
      target: 'search', 
      items: [pattern_preview('search_box_form')] 
    }) 
  ]
}, 'multiple_menu') }}


{% set catch_cache = content|render %}
